{ *************************************************************************** }
{                                                                             }
{ EControl Common Library                                                     }
{                                                                             }
{ Copyright (c) 2004 - 2006 EControl Ltd., Zaharov Michael                    }
{     www.econtrol.ru                                                         }
{     support@econtrol.ru                                                     }
{                                                                             }
{ *************************************************************************** }
{$I ecSyntEdit.INC}
unit ecShareEdits;

interface

uses Graphics, ecStrUtils;

const
  // Highlighting types
  HT_INI  = 1;
  HT_SQL  = 2;

type
  TTextEditDlgProc = function(var AText: string; ACharset: TFontCharset; Flags: Cardinal): Boolean;

var
  TextEditDlgProc: TTextEditDlgProc = nil;

function EditAnsiText(var AText: string; ACharset: TFontCharset; Flags: Cardinal): Boolean;

implementation

uses ecEditText;

function EditAnsiText(var AText: string; ACharset: TFontCharset; Flags: Cardinal): Boolean;
begin
  if Assigned(TextEditDlgProc)  then
    Result := TextEditDlgProc(AText, ACharset, Flags)
  else
    Result := False;
end;

initialization
  TextEditDlgProc := ecEditText.EditTextDlg;

end.
